<div class="shopify-section" style="display: grid;">
	
  <div>
    <div class="with-image" aria-hidden="true" style="display: flex;">
        
      <video width="100%" height="100%" id="video-1" autoplay muted loop preload="none" poster playsinline webkit-playsinline>
        <source type="video/mp4" data-desktop-src="{{ '3D_Hero_Desktop_converted.mp4' | asset_url }}" data-mobile-src="{{ '3D_Hero_Mobile_converted.mp4' | asset_url }}">
        Your browser does not support the video tag.
      </video>


    </div> 
  </div>
  <div>
   
    <div class="with-image" aria-hidden="true" style="display: flex;">
        
      <video width="100%" height="100%" id="video-2" autoplay muted loop preload="none" poster playsinline webkit-playsinline>
        <source type="video/mp4" data-desktop-src="{{ 'Malibu_Hero_Desktop.mp4' | asset_url }}" data-mobile-src="{{ 'Malibu_Hero_Mobile.mp4' | asset_url }}">
        Your browser does not support the video tag.
      </video>


    </div>
  </div>

</div>

<script>
var TimerID_video1;
var TimerID_video2;
window.addEventListener("resize", function(){
  clearTimeout(TimerID_video1);
  clearTimeout(TimerID_video2);
  TimerID_video1 = setTimeout(function(){showing_video("video-1")},1000);
  TimerID_video2 = setTimeout(function(){showing_video("video-2")},1000);
});
                        
jQuery(document).ready(function () {
  showing_video("video-1");
  showing_video("video-2");
});

function showing_video(id){
  var w = window.matchMedia("(min-width: 1024px)");
  var vid = document.getElementById(id);
  var src_desktop = jQuery(vid).find("source:lt(1)").attr("data-desktop-src");
  var src_mobile = jQuery(vid).find("source:lt(1)").attr("data-mobile-src");
  var src_current = jQuery(vid).find("source:lt(1)").attr("src");
  if (w.matches  ) {
    if( src_current!=src_desktop ){
      //console.log("showing desktop");
      vid.pause();
      jQuery(vid).find("source:lt(1)").removeAttr("src");
      jQuery(vid).find("source:lt(1)").attr("src", src_desktop );
      vid.load();
      vid.play();
    }
  } else  {
    if( src_current!=src_mobile ){
      //console.log("showing mobile");
      vid.pause();
      jQuery(vid).find("source:lt(1)").removeAttr("src");
      jQuery(vid).find("source:lt(1)").attr("src", src_mobile );
      vid.load();
      vid.play();
    }
  }
}
</script>

{% schema %}
  {
    "name": "Section name",
    "settings": []
  }
{% endschema %}

{% stylesheet %}
{% endstylesheet %}

{% javascript %}
{% endjavascript %}
